TikTok API
Access TikTok video and user data {{i18n.for_ai_agents}}
Base URL
https://api.pressmonitor.com/tiktok/v1 Authentication
All requests use Bearer token authentication. Add the Authorization header to every call.
Authorization: Bearer YOUR_TOKEN /challenge-info Challenge Info
Challenge Info
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| challenge_id | string | query | Yes | Challenge id |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/challenge-info" querystring = {"challenge_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/challenge-posts Challenge Posts
Challenge Posts
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| challenge_id | string | query | Yes | Challenge id |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Cursor |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/challenge-posts" querystring = {"challenge_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/collection-info Collection Info
Collection Info
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| collection_id | string | query | Yes | Collection id |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/collection-info" querystring = {"collection_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/collection-posts Collection Posts
Collection Posts
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| collection_id | string | query | Yes | Collection id |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Cursor |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/collection-posts" querystring = {"collection_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/download-music Download Music
Download Music
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| music_id | string | query | Yes | Music id |
| device_id | string | query | No | Device id |
| format | string | query | No | Format |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/download-music" querystring = {"music_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","format":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/download-video Download Video
Download Video
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| aweme_id | string | query | Yes | Aweme id |
| device_id | string | query | No | Device id |
| format | string | query | No | Format |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/download-video" querystring = {"aweme_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","format":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/effect-info Effect Info
Effect Info
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| effect_id | string | query | Yes | Effect id |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/effect-info" querystring = {"effect_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/effect-posts Effect Posts
Effect Posts
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| effect_id | string | query | Yes | Effect id |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Cursor |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/effect-posts" querystring = {"effect_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/live-category Live Category
Live Category
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| device_id | string | query | No | Device id |
| lang | string | query | No | Lang |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/live-category" querystring = {"device_id":"SOME_STRING_VALUE","lang":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/live-check-alive Live Check Alive
Live Check Alive
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| room_id | string | query | Yes | Room id |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/live-check-alive" querystring = {"room_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/live-stream Live Stream
Live Stream
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| room_id | string | query | Yes | Room id |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/live-stream" querystring = {"room_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/music-info Music Info
Music Info
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| music_id | string | query | Yes | Music id |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/music-info" querystring = {"music_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/music-posts Music Posts
Music Posts
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| music_id | string | query | Yes | Music id |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Cursor |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/music-posts" querystring = {"music_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/music-unlimited-sounds Music Unlimited Sounds
Music Unlimited Sounds
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| music_id | string | query | Yes | Music id |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Cursor |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds" querystring = {"music_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/place-info Place Info
Place Info
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| challenge_id | string | query | Yes | Challenge id |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/place-info" querystring = {"challenge_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/place-posts Place Posts
Place Posts
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| challenge_id | string | query | Yes | Challenge id |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Cursor |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/place-posts" querystring = {"challenge_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/post-category Post Category
Post Category
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| sec_uid | string | query | Yes | Sec uid |
| category_type | string | query | No | Category type |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Cursor |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-category" querystring = {"sec_uid":"SOME_STRING_VALUE","category_type":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/post-comments Post Comments
Post Comments
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| aweme_id | string | query | Yes | Aweme id |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Cursor |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-comments" querystring = {"aweme_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/post-detail Post Detail
Post Detail
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| aweme_id | string | query | Yes | Aweme id |
| device_id | string | query | No | Device id |
| from | string | query | No | From |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-detail" querystring = {"aweme_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","from":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/post-discover-keyword Post Discover Keyword
Post Discover Keyword
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keyword | string | query | Yes | Keyword |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Cursor |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-discover-keyword" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/post-related Post Related
Post Related
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| aweme_id | string | query | Yes | Aweme id |
| count | integer | query | No | Number of results to return |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-related" querystring = {"aweme_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/post-reply-comments Post Reply Comments
Post Reply Comments
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| aweme_id | string | query | Yes | Aweme id |
| comment_id | string | query | Yes | Comment id |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Cursor |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-reply-comments" querystring = {"aweme_id":"SOME_STRING_VALUE","comment_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/search-account Search Account
Search Account
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keyword | string | query | Yes | Keyword |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Cursor |
| device_id | string | query | No | Device id |
| search_id | string | query | No | Search id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-account" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/search-general Search General
Search General
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keyword | string | query | Yes | Keyword |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Cursor |
| search_id | string | query | No | Search id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-general" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/search-live Search Live
Search Live
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keyword | string | query | Yes | Keyword |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Cursor |
| device_id | string | query | No | Device id |
| search_id | string | query | No | Search id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-live" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/search-suggest-keyword Search Suggest Keyword
Search Suggest Keyword
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keyword | string | query | Yes | Keyword |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword" querystring = {"keyword":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/search-video Search Video
Search Video
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keyword | string | query | Yes | Keyword |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Cursor |
| device_id | string | query | No | Device id |
| search_id | string | query | No | Search id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-video" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/trending-ads-detail Trending Ads Detail
Trending Ads Detail
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| aweme_id | string | query | Yes | Aweme id |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-ads-detail" querystring = {"aweme_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/trending-commercial-music-library Trending Commercial Music Library
Trending Commercial Music Library
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| period | string | query | Yes | Period |
| country_code | string | query | No | Country code |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/trending-commercial-music-playlist Trending Commercial Music Playlist
Trending Commercial Music Playlist
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| period | string | query | Yes | Period |
| country_code | string | query | No | Country code |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/trending-commercial-music-playlist-detail Trending Commercial Music Playlist Detail
Trending Commercial Music Playlist Detail
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| playlist_id | string | query | Yes | Playlist id |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail" querystring = {"playlist_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/trending-creator Trending Creator
Trending Creator
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| period | string | query | Yes | Period |
| country_code | string | query | No | Country code |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-creator" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/trending-hashtag Trending Hashtag
Trending Hashtag
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| period | string | query | Yes | Period |
| country_code | string | query | No | Country code |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-hashtag" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/trending-keyword Trending Keyword
Trending Keyword
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| period | string | query | Yes | Period |
| country_code | string | query | No | Country code |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-keyword" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/trending-keyword-sentence Trending Keyword Sentence
Trending Keyword Sentence
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keyword | string | query | Yes | Keyword |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence" querystring = {"keyword":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/trending-song Trending Song
Trending Song
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| period | string | query | Yes | Period |
| country_code | string | query | No | Country code |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-song" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/trending-top-ads Trending Top Ads
Trending Top Ads
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keyword | string | query | Yes | Keyword |
| country_code | string | query | No | Country code |
| device_id | string | query | No | Device id |
| period | string | query | No | Period |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-ads" querystring = {"keyword":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","period":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/trending-top-product-detail Trending Top Product Detail
Trending Top Product Detail
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| product_id | string | query | Yes | Product id |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail" querystring = {"product_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/trending-top-product-metrics Trending Top Product Metrics
Trending Top Product Metrics
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| product_id | string | query | Yes | Product id |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics" querystring = {"product_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/trending-top-products Trending Top Products
Trending Top Products
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| period | string | query | Yes | Period |
| country_code | string | query | No | Country code |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-products" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/trending-video Trending Video
Trending Video
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| period | string | query | Yes | Period |
| country_code | string | query | No | Country code |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-video" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/trending-video-by-keyword Trending Video By Keyword
Trending Video By Keyword
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| keyword | string | query | Yes | Keyword |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Cursor |
| device_id | string | query | No | Device id |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/user-followers User Followers
User Followers
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| sec_uid | string | query | Yes | Sec uid |
| count | integer | query | No | Number of results to return |
| min_cursor | string | query | No | Min cursor |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-followers" querystring = {"sec_uid":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","min_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/user-following User Following
User Following
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| sec_uid | string | query | Yes | Sec uid |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Cursor |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-following" querystring = {"sec_uid":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/user-info User Info
User Info
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| sec_uid | string | query | No | Sec uid |
| unique_id | string | query | No | Unique id |
| with_commerce_info | string | query | No | With commerce info |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-info" querystring = {"sec_uid":"SOME_STRING_VALUE","unique_id":"SOME_STRING_VALUE","with_commerce_info":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/user-info-by-id User Info By Id
User Info By Id
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| user_id | string | query | Yes | User id |
| with_commerce_info | string | query | No | With commerce info |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-info-by-id" querystring = {"user_id":"SOME_STRING_VALUE","with_commerce_info":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/user-info-v2 User Info V2
User Info V2
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| sec_uid | string | query | No | Sec uid |
| unique_id | string | query | No | Unique id |
| with_commerce_info | string | query | No | With commerce info |
Code Examples
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-info-v2?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-info-v2?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-info-v2" querystring = {"sec_uid":"SOME_STRING_VALUE","unique_id":"SOME_STRING_VALUE","with_commerce_info":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-info-v2?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-info-v2?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Responses
/user-playlist User Playlist
User Playlist
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| sec_uid | string | query | Yes | Sec uid |
| count | integer | query | No | Number of results to return |
| cursor | integer | query | No | Cursor |
Code Examples
[...]
